Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.lwjgl.opengl
Class GL15

    java.lang.Object
      org.lwjgl.opengl.GL15

    public final class GL15

extends java.lang.Object

Field Summary
`static int` | `GL_ARRAY_BUFFER`
`static int` | `GL_ARRAY_BUFFER_BINDING`
`static int` | `GL_BUFFER_ACCESS`
`static int` | `GL_BUFFER_MAP_POINTER`
`static int` | `GL_BUFFER_MAPPED`
`static int` | `GL_BUFFER_SIZE`
`static int` | `GL_BUFFER_USAGE`
`static int` | `GL_COLOR_ARRAY_BUFFER_BINDING`
`static int` | `GL_CURRENT_QUERY`
`static int` | `GL_DYNAMIC_COPY`
`static int` | `GL_DYNAMIC_DRAW`
`static int` | `GL_DYNAMIC_READ`
`static int` | `GL_EDGE_FLAG_ARRAY_BUFFER_BINDING`
`static int` | `GL_ELEMENT_ARRAY_BUFFER`
`static int` | `GL_ELEMENT_ARRAY_BUFFER_BINDING`
`static int` | `GL_FOG_COORDINATE_ARRAY_BUFFER_BINDING`
`static int` | `GL_INDEX_ARRAY_BUFFER_BINDING`
`static int` | `GL_NORMAL_ARRAY_BUFFER_BINDING`
`static int` | `GL_QUERY_COUNTER_BITS` Accepted by the <pname> parameter of GetQueryiv:
`static int` | `GL_QUERY_RESULT` Accepted by the <pname> parameter of GetQueryObjectiv and GetQueryObjectuiv:
`static int` | `GL_QUERY_RESULT_AVAILABLE`
`static int` | `GL_READ_ONLY`
`static int` | `GL_READ_WRITE`
`static int` | `GL_SAMPLES_PASSED` Accepted by the <target> parameter of BeginQuery, EndQuery, and GetQueryiv:
`static int` | `GL_SECONDARY_COLOR_ARRAY_BUFFER_BINDING`
`static int` | `GL_STATIC_COPY`
`static int` | `GL_STATIC_DRAW`
`static int` | `GL_STATIC_READ`
`static int` | `GL_STREAM_COPY`
`static int` | `GL_STREAM_DRAW`
`static int` | `GL_STREAM_READ`
`static int` | `GL_TEXTURE_COORD_ARRAY_BUFFER_BINDING`
`static int` | `GL_VERTEX_ARRAY_BUFFER_BINDING`
`static int` | `GL_VERTEX_ATTRIB_ARRAY_BUFFER_BINDING`
`static int` | `GL_WEIGHT_ARRAY_BUFFER_BINDING`
`static int` | `GL_WRITE_ONLY`

Method Summary
`static void` | `glBeginQuery(int target, int id)`
`static void` | `glBindBuffer(int target, int buffer)`
`static void` | `glBufferData(int target, java.nio.ByteBuffer data, int usage)`
`static void` | `glBufferData(int target, java.nio.DoubleBuffer data, int usage)`
`static void` | `glBufferData(int target, java.nio.FloatBuffer data, int usage)`
`static void` | `glBufferData(int target, java.nio.IntBuffer data, int usage)`
`static void` | `glBufferData(int target, long size, int usage)`
`static void` | `glBufferData(int target, java.nio.ShortBuffer data, int usage)`
`static void` | `glBufferSubData(int target, long offset, java.nio.ByteBuffer data)`
`static void` | `glBufferSubData(int target, long offset, java.nio.DoubleBuffer data)`
`static void` | `glBufferSubData(int target, long offset, java.nio.FloatBuffer data)`
`static void` | `glBufferSubData(int target, long offset, java.nio.IntBuffer data)`
`static void` | `glBufferSubData(int target, long offset, java.nio.ShortBuffer data)`
`static void` | `glDeleteBuffers(java.nio.IntBuffer buffers)`
`static void` | `glDeleteQueries(java.nio.IntBuffer ids)`
`static void` | `glEndQuery(int target)`
`static void` | `glGenBuffers(java.nio.IntBuffer buffers)`
`static void` | `glGenQueries(java.nio.IntBuffer ids)`
`static void` | `glGetBufferParameter(int target, int pname, java.nio.IntBuffer params)`
`static java.nio.ByteBuffer` | `glGetBufferPointer(int target, int pname)`
`static void` | `glGetBufferSubData(int target, long offset, java.nio.ByteBuffer data)`
`static void` | `glGetBufferSubData(int target, long offset, java.nio.DoubleBuffer data)`
`static void` | `glGetBufferSubData(int target, long offset, java.nio.FloatBuffer data)`
`static void` | `glGetBufferSubData(int target, long offset, java.nio.IntBuffer data)`
`static void` | `glGetBufferSubData(int target, long offset, java.nio.ShortBuffer data)`
`static void` | `glGetQuery(int target, int pname, java.nio.IntBuffer params)`
`static void` | `glGetQueryObject(int id, int pname, java.nio.IntBuffer params)`
`static void` | `glGetQueryObjectu(int id, int pname, java.nio.IntBuffer params)`
`static boolean` | `glIsBuffer(int buffer)`
`static boolean` | `glIsQuery(int id)`
`static java.nio.ByteBuffer` | `glMapBuffer(int target, int access, java.nio.ByteBuffer old_buffer)` glMapBuffer maps a gl vertex buffer buffer to a ByteBuffer.
`static boolean` | `glUnmapBuffer(int target)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL_ARRAY_BUFFER

    public static final int GL_ARRAY_BUFFER

See Also:
  Constant Field Values

### GL_ELEMENT_ARRAY_BUFFER

    public static final int GL_ELEMENT_ARRAY_BUFFER

See Also:
  Constant Field Values

### GL_ARRAY_BUFFER_BINDING

    public static final int GL_ARRAY_BUFFER_BINDING

See Also:
  Constant Field Values

### GL_ELEMENT_ARRAY_BUFFER_BINDING

    public static final int GL_ELEMENT_ARRAY_BUFFER_BINDING

See Also:
  Constant Field Values

### GL_VERTEX_ARRAY_BUFFER_BINDING

    public static final int GL_VERTEX_ARRAY_BUFFER_BINDING

See Also:
  Constant Field Values

### GL_NORMAL_ARRAY_BUFFER_BINDING

    public static final int GL_NORMAL_ARRAY_BUFFER_BINDING

See Also:
  Constant Field Values

### GL_COLOR_ARRAY_BUFFER_BINDING

    public static final int GL_COLOR_ARRAY_BUFFER_BINDING

See Also:
  Constant Field Values

### GL_INDEX_ARRAY_BUFFER_BINDING

    public static final int GL_INDEX_ARRAY_BUFFER_BINDING

See Also:
  Constant Field Values

### GL_TEXTURE_COORD_ARRAY_BUFFER_BINDING

    public static final int GL_TEXTURE_COORD_ARRAY_BUFFER_BINDING

See Also:
  Constant Field Values

### GL_EDGE_FLAG_ARRAY_BUFFER_BINDING

    public static final int GL_EDGE_FLAG_ARRAY_BUFFER_BINDING

See Also:
  Constant Field Values

### GL_SECONDARY_COLOR_ARRAY_BUFFER_BINDING

    public static final int GL_SECONDARY_COLOR_ARRAY_BUFFER_BINDING

See Also:
  Constant Field Values

### GL_FOG_COORDINATE_ARRAY_BUFFER_BINDING

    public static final int GL_FOG_COORDINATE_ARRAY_BUFFER_BINDING

See Also:
  Constant Field Values

### GL_WEIGHT_ARRAY_BUFFER_BINDING

    public static final int GL_WEIGHT_ARRAY_BUFFER_BINDING

See Also:
  Constant Field Values

### GL_VERTEX_ATTRIB_ARRAY_BUFFER_BINDING

    public static final int GL_VERTEX_ATTRIB_ARRAY_BUFFER_BINDING

See Also:
  Constant Field Values

### GL_STREAM_DRAW

    public static final int GL_STREAM_DRAW

See Also:
  Constant Field Values

### GL_STREAM_READ

    public static final int GL_STREAM_READ

See Also:
  Constant Field Values

### GL_STREAM_COPY

    public static final int GL_STREAM_COPY

See Also:
  Constant Field Values

### GL_STATIC_DRAW

    public static final int GL_STATIC_DRAW

See Also:
  Constant Field Values

### GL_STATIC_READ

    public static final int GL_STATIC_READ

See Also:
  Constant Field Values

### GL_STATIC_COPY

    public static final int GL_STATIC_COPY

See Also:
  Constant Field Values

### GL_DYNAMIC_DRAW

    public static final int GL_DYNAMIC_DRAW

See Also:
  Constant Field Values

### GL_DYNAMIC_READ

    public static final int GL_DYNAMIC_READ

See Also:
  Constant Field Values

### GL_DYNAMIC_COPY

    public static final int GL_DYNAMIC_COPY

See Also:
  Constant Field Values

### GL_READ_ONLY

    public static final int GL_READ_ONLY

See Also:
  Constant Field Values

### GL_WRITE_ONLY

    public static final int GL_WRITE_ONLY

See Also:
  Constant Field Values

### GL_READ_WRITE

    public static final int GL_READ_WRITE

See Also:
  Constant Field Values

### GL_BUFFER_SIZE

    public static final int GL_BUFFER_SIZE

See Also:
  Constant Field Values

### GL_BUFFER_USAGE

    public static final int GL_BUFFER_USAGE

See Also:
  Constant Field Values

### GL_BUFFER_ACCESS

    public static final int GL_BUFFER_ACCESS

See Also:
  Constant Field Values

### GL_BUFFER_MAPPED

    public static final int GL_BUFFER_MAPPED

See Also:
  Constant Field Values

### GL_BUFFER_MAP_POINTER

    public static final int GL_BUFFER_MAP_POINTER

See Also:
  Constant Field Values

### GL_SAMPLES_PASSED

    public static final int GL_SAMPLES_PASSED

  Accepted by the <target> parameter of BeginQuery, EndQuery, and GetQueryiv:

  See Also:
    Constant Field Values

### GL_QUERY_COUNTER_BITS

    public static final int GL_QUERY_COUNTER_BITS

  Accepted by the <pname> parameter of GetQueryiv:

  See Also:
    Constant Field Values

### GL_CURRENT_QUERY

    public static final int GL_CURRENT_QUERY

See Also:
  Constant Field Values

### GL_QUERY_RESULT

    public static final int GL_QUERY_RESULT

  Accepted by the <pname> parameter of GetQueryObjectiv and GetQueryObjectuiv:

  See Also:
    Constant Field Values

### GL_QUERY_RESULT_AVAILABLE

    public static final int GL_QUERY_RESULT_AVAILABLE

See Also:
  Constant Field Values

Method Detail

### glBindBuffer

    public static void glBindBuffer(int target,
                                    int buffer)

### glDeleteBuffers

    public static void glDeleteBuffers(java.nio.IntBuffer buffers)

### glGenBuffers

    public static void glGenBuffers(java.nio.IntBuffer buffers)

### glIsBuffer

    public static boolean glIsBuffer(int buffer)

### glBufferData

    public static void glBufferData(int target,
                                    long size,
                                    int usage)

### glBufferData

    public static void glBufferData(int target,
                                    java.nio.ByteBuffer data,
                                    int usage)

### glBufferData

    public static void glBufferData(int target,
                                    java.nio.DoubleBuffer data,
                                    int usage)

### glBufferData

    public static void glBufferData(int target,
                                    java.nio.FloatBuffer data,
                                    int usage)

### glBufferData

    public static void glBufferData(int target,
                                    java.nio.IntBuffer data,
                                    int usage)

### glBufferData

    public static void glBufferData(int target,
                                    java.nio.ShortBuffer data,
                                    int usage)

### glBufferSubData

    public static void glBufferSubData(int target,
                                       long offset,
                                       java.nio.ByteBuffer data)

### glBufferSubData

    public static void glBufferSubData(int target,
                                       long offset,
                                       java.nio.DoubleBuffer data)

### glBufferSubData

    public static void glBufferSubData(int target,
                                       long offset,
                                       java.nio.FloatBuffer data)

### glBufferSubData

    public static void glBufferSubData(int target,
                                       long offset,
                                       java.nio.IntBuffer data)

### glBufferSubData

    public static void glBufferSubData(int target,
                                       long offset,
                                       java.nio.ShortBuffer data)

### glGetBufferSubData

    public static void glGetBufferSubData(int target,
                                          long offset,
                                          java.nio.ByteBuffer data)

### glGetBufferSubData

    public static void glGetBufferSubData(int target,
                                          long offset,
                                          java.nio.DoubleBuffer data)

### glGetBufferSubData

    public static void glGetBufferSubData(int target,
                                          long offset,
                                          java.nio.FloatBuffer data)

### glGetBufferSubData

    public static void glGetBufferSubData(int target,
                                          long offset,
                                          java.nio.IntBuffer data)

### glGetBufferSubData

    public static void glGetBufferSubData(int target,
                                          long offset,
                                          java.nio.ShortBuffer data)

### glMapBuffer

    public static java.nio.ByteBuffer glMapBuffer(int target,
                                                  int access,
                                                  java.nio.ByteBuffer old_buffer)

  glMapBuffer maps a gl vertex buffer buffer to a ByteBuffer. The oldBuffer argument can be null, in which case a new ByteBuffer will be created, pointing to the returned memory. If oldBuffer is non-null, it will be returned if it points to the same mapped memory, otherwise a new ByteBuffer is created. That way, an application will normally use glMapBuffer like this:

  ByteBuffer mapped_buffer; mapped_buffer = glMapBuffer(..., ..., ..., null); ... // Another map on the same buffer mapped_buffer = glMapBuffer(..., ..., ..., mapped_buffer);

  Parameters:
    `old_buffer` - A ByteBuffer. If this argument points to the same address and has the same capacity as the new mapping, it will be returned and no new buffer will be created.
  Returns:
    A ByteBuffer representing the mapped buffer memory.

### glUnmapBuffer

    public static boolean glUnmapBuffer(int target)

### glGetBufferParameter

    public static void glGetBufferParameter(int target,
                                            int pname,
                                            java.nio.IntBuffer params)

### glGetBufferPointer

    public static java.nio.ByteBuffer glGetBufferPointer(int target,
                                                         int pname)

### glGenQueries

    public static void glGenQueries(java.nio.IntBuffer ids)

### glDeleteQueries

    public static void glDeleteQueries(java.nio.IntBuffer ids)

### glIsQuery

    public static boolean glIsQuery(int id)

### glBeginQuery

    public static void glBeginQuery(int target,
                                    int id)

### glEndQuery

    public static void glEndQuery(int target)

### glGetQuery

    public static void glGetQuery(int target,
                                  int pname,
                                  java.nio.IntBuffer params)

### glGetQueryObject

    public static void glGetQueryObject(int id,
                                        int pname,
                                        java.nio.IntBuffer params)

### glGetQueryObjectu

    public static void glGetQueryObjectu(int id,
                                         int pname,
                                         java.nio.IntBuffer params)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 lwjgl.org. All Rights Reserved.